com.singularsys.jepexamples.diagnostics

## Class ThreadSpeedTest.EvaluationThread

- java.lang.Object
- - java.lang.Thread
  - - com.singularsys.jepexamples.diagnostics.ThreadSpeedTest.EvaluationThread

- All Implemented Interfaces:
    java.lang.Runnable
  Enclosing class:
    ThreadSpeedTest

      public static class ThreadSpeedTest.EvaluationThread
      extends java.lang.Thread

  A thread which evaluates an expression multiple times. This version uses LightWeightComponentSet and SerializableExpression.
  See Also:
    `SerializableExpression`, `LightWeightComponentSet`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvaluationThread(int index, Jep baseJep, Node baseExpression, java.lang.String varName, double minValue, double maxValue, int numItts)` Construct a thread.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()` Evaluates the expression numItts times.

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EvaluationThread

          public EvaluationThread(int index,
                                  Jep baseJep,
                                  Node baseExpression,
                                  java.lang.String varName,
                                  double minValue,
                                  double maxValue,
                                  int numItts)
                           throws JepException

      Construct a thread. Uses `new Jep(new LightWeightComponentSet(baseJep))` to create a local Jep instance and `(new ImportationVisitor(localJep)).deepCopy(baseExpression)` to create a local copy of the expression.
      Parameters:
        `index` - the number of this thread
        `baseJep` - the base Jep instance
        `baseExpression` - the expression
        `varName` - name of the variable
        `minValue` - minimum value for variable
        `maxValue` - maximum value for variable
        `numItts` - number of iterations
      Throws:
        `JepException`

  - ### Method Detail

    - #### run

          public void run()

      Evaluates the expression numItts times.
      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

Copyright © 2018 Singular Systems http://www.singularsys.com/jep